> This page is for API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eon.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eon.io/_mcp/server.

# List IdP Group Role Assignments

POST https://%7Baccount-domain%7D.console.eon.io/api/v1/idp-groups/list

Retrieves a list of IdP group role assignments mapped in your Eon account.

Reference: https://docs.eon.io/api/api-reference/access-management/id-p-group-role-assignments/list-idp-groups

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `pageToken` (string, optional) — Cursor that points to the first record of the next page of results. Get this value from the previous response. To preserve the results in the same order, use the same sorting and filters in the first request as all subsequent requests.
- `pageSize` (integer, optional, default: 50) — Maximum number of items to return in the response.

## Response

### 200

IdP group role assignments retrieved.

- `groups` (list of IdpGroup, required) — List of IdP group role assignments.
- `totalCount` (integer, optional) — Total number of IdP group role assignments.
- `nextToken` (string, optional) — Cursor that points to the first record of the next page of results. Pass this value in the next request.

## Types

### IdpGroup

IdP group role assignment.

- `id` (string, required) — Eon-assigned group ID.
- `idpId` (string, required) — [ID of the identity provider](./list-idps) the group belongs to.
- `providerGroupId` (string, required) — Identity-provider-assigned group ID. Must match the exact group ID passed by the identity provider to Eon during SAML sign-on.
- `roleIds` (list of string, required) — List of [role IDs](../roles/list-roles) assigned to the group.
- `displayName` (string, optional) — Display name for the group role assignment. Not used when matching SAML groups during sign-on.

## Examples

**Response**

```json
{
  "groups": [
    {
      "id": "daa42222-6ad2-5d37-bb26-4f2a9cba73da",
      "idpId": "8f14e45f-ceea-467f-a8dc-e5e47d61e5d7",
      "providerGroupId": "engineering-team",
      "roleIds": [
        "550e8400-e29b-41d4-a716-446655440000",
        "72bc42a0-e169-533f-b95a-4a434574756b"
      ],
      "displayName": "Engineering Team"
    }
  ],
  "totalCount": 1,
  "nextToken": "Y2NiMGYyZmMtYjYyZi00OTc5LTgzNjQtYmQ2YjEyYzdjZTNifDE="
}
```

**SDK Code**

```python
import requests

url = "https://{account-domain}.console.eon.io/api/v1/idp-groups/list"

querystring = {"pageSize":"10","pageToken":"Yjk3ODZjNjktZTIwZC00NjAxLWE1MzktZjg2NGExM2IxYTZlfDE="}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{account-domain}.console.eon.io/api/v1/idp-groups/list?pageSize=10&pageToken=Yjk3ODZjNjktZTIwZC00NjAxLWE1MzktZjg2NGExM2IxYTZlfDE%3D';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://{account-domain}.console.eon.io/api/v1/idp-groups/list?pageSize=10&pageToken=Yjk3ODZjNjktZTIwZC00NjAxLWE1MzktZjg2NGExM2IxYTZlfDE%3D")
  .header("Authorization", "Bearer <token>")
  .asString();
```